> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Update

Creates a new Update request to retrieve the Account's latest details (balance, due dates, apr, etc) in real-time

Operation Type: ⏳ Asynchronous (Your request is processed in the background. You'll receive a webhook when it's complete.) | [Webhook Payload](https://docs.methodfi.com/2026-03-30/reference/accounts/updates/overview.md#webhook-payload).

## Returns

Returns an Update object.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts/acc_aEBDiLxiR8bqc/updates \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_aEBDiLxiR8bqc')
  .updates
  .create();
```

```python Python theme={null}
response = method
  .accounts('acc_aEBDiLxiR8bqc')
  .updates
  .create()
```

```json theme={null}
{
  "id": "upt_NYV5kfjskTTCJ",
  "status": "pending",
  "account_id": "acc_aEBDiLxiR8bqc",
  "source": "direct",
  "type": "credit_card",
  "credit_card": null,
  "error": null,
  "created_at": "2024-03-20T04:43:21.434Z",
  "updated_at": "2024-03-20T04:43:21.655Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.